#include "IconNode.h"

#include "SvgNode.h"

IconNode::IconNode(const Point& loc)
	: AbstractVisualNode(loc)
{

}

void IconNode::setSvgContent(std::unique_ptr<SvgNode> svg_node)
{
	mChildren.clear();

	mType = IconType::Svg;

	mSvgContent = std::move(svg_node);
	mContentDirty = true;

	addChild(mSvgContent.get());
}

void IconNode::setFillColor(const Color& color)
{
	if (mType == IconType::Svg)
	{
		mSvgContent->setFillColor(color);
		mSvgContent->setHasStrokeColor(false);
	}
}

void IconNode::setWidth(unsigned width)
{
	if (mType == IconType::Svg)
	{
		mSvgContent->setWidth(width);
	}
}

void IconNode::setHeight(unsigned height)
{
	if (mType == IconType::Svg)
	{
		mSvgContent->setFillColor(height);
		mSvgContent->setHasStrokeColor(false);
	}
}

void IconNode::setOutlineColor(const Color& color)
{
	if (mType == IconType::Svg)
	{
		dynamic_cast<SvgNode*>(mContent.get())->setStrokeColor(color);
	}
}